Imports IntraSell_DLL

Public Class ucLanguage
    Event SpracheGewechelt(neueSprache As String)

    Private Sub ButtonDEU_Click(sender As Object, e As EventArgs) Handles ButtonDEU.Click
        Try
            SpracheFestlegen("DEU")
            RaiseEvent SpracheGewechelt("DEU")
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub ButtonBUL_Click(sender As Object, e As EventArgs) Handles ButtonBUL.Click
        Try
            SpracheFestlegen("BUL")
            RaiseEvent SpracheGewechelt("BUL")
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub ButtonARA_Click(sender As Object, e As EventArgs) Handles ButtonARA.Click
        Try
            SpracheFestlegen("ARA")
            RaiseEvent SpracheGewechelt("ARA")
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub ButtonTUR_Click(sender As Object, e As EventArgs) Handles ButtonTUR.Click
        Try
            SpracheFestlegen("TUR")
            RaiseEvent SpracheGewechelt("TUR")
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub ButtonTAI_Click(sender As Object, e As EventArgs) Handles ButtonTAI.Click
        Try
            SpracheFestlegen("THAI")
            RaiseEvent SpracheGewechelt("THAI")
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub ButtonRUM_Click(sender As Object, e As EventArgs) Handles ButtonRUM.Click
        Try
            SpracheFestlegen("ROM")
            RaiseEvent SpracheGewechelt("ROM")
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub ButtonCN_Click(sender As Object, e As EventArgs) Handles ButtonCN.Click
        Try
            SpracheFestlegen("ZH")
            RaiseEvent SpracheGewechelt("ZH")
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub
End Class
